# drives.createItem

Create a folder or document at the drive's root.

`POST /api/v1/drives/{driveId}/items`

- SDK: [`tb.drives.createItem(input)`](/sdk)
- CLI: [`thinkbench drives create-item`](/cli)
- MCP tool: [`drives_create_item`](/mcp)

## Input

| Field | Type | In | Description |
| --- | --- | --- | --- |
| `driveId` | `string` | path |  |
| `name` | `string` | body |  |
| `driveItemType` | `"folder"` \| `"docs_workbook"` \| `"viz_workbook"` | body |  |

## Output

| Field | Type | Description |
| --- | --- | --- |
| `item` | [DriveItem](/api/objects/drive-item) |  |

## Examples

### curl

```bash
curl -X POST "https://app.thinkbench.com/api/v1/drives/<driveId>/items" \
  -H "x-api-key: $THINKBENCH_API_KEY" \
  -H "content-type: application/json" \
  -d '{"name":"Q3 planning","driveItemType":"folder"}'
```

### TypeScript SDK

```ts
const result = await tb.drives.createItem({ driveId: "<driveId>", name: "Q3 planning", driveItemType: "folder" });
```

### CLI

```bash
thinkbench drives create-item --drive-id "<driveId>" --name "Q3 planning" --drive-item-type "folder"
```

### MCP

```json
{
  "name": "drives_create_item",
  "arguments": {
    "driveId": "<driveId>",
    "name": "Q3 planning",
    "driveItemType": "folder"
  }
}
```
